{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.internetSuite {

# Paquets
environment.systemPackages = with pkgs; [
    # Clients Internet

    ## Réseaux sociaux
    #turses                            # client twitter en ncurse
    #python36Packages.rainbowstream    # client twitter en console
    #rtv                               # client reddit en console

    ## Mail & Discussion (texte, audio)
    mutt

    ## Sauvegarde nuagique (cloud storage)
    #rclone

    ## P2P
    rtorrent      # outil de téléchargement de torrent & magnet
  ];
}
