{ config, lib, pkgs, ... }:

{
  imports = [
    # moulinette de configuration
    /*./config-generator.nix*/
    ./options.nix

    # Redéfinition d'applications et de modules
    ./applications/overrides.nix

    # subfolders
    ./applications/graphical/default.nix
    ./applications/terminal/default.nix
    ./configuration/default.nix
    ./services/default.nix
  ];
}
